<?php
/**
 * Default recipe template.
 *
 * @package Tasty_Recipes
 */

?>

<?php echo $recipe_styles; ?>

<h2 class="tasty-recipes-title" data-tasty-recipes-customization="h2-color.color h2-transform.text-transform"><?php echo $recipe_title; ?></h2>
<div class="tasty-recipes-image-button-container">
	<?php if ( ! empty( $recipe_image ) ) : ?>
		<div class="tasty-recipes-image">
			<?php echo $recipe_image; ?>
		</div>
	<?php endif; ?>
	<div class="tasty-recipes-buttons">
		<?php if ( ! empty( $first_button ) ) : ?>
		<div class="tasty-recipes-button-wrap">
			<?php echo $first_button; ?>
		</div>
		<?php endif; ?>
		<?php if ( ! empty( $second_button ) ) : ?>
		<div class="tasty-recipes-button-wrap">
			<?php echo $second_button; ?>
		</div>
		<?php endif; ?>
	</div>
</div>
<?php if ( ! empty( $recipe_rating_icons ) || ! empty( $recipe_rating_label ) ) : ?>
	<div class="tasty-recipes-rating" data-tasty-recipes-customization="body-color.color">
		<?php if ( Tasty_Recipes\Ratings::is_enabled() ) : ?>
			<a href="#respond">
		<?php endif; ?>
			<?php if ( ! empty( $recipe_rating_icons ) ) : ?>
				<p><?php echo $recipe_rating_icons; ?></p>
			<?php endif; ?>
			<?php if ( ! empty( $recipe_rating_label ) ) : ?>
				<p><?php echo $recipe_rating_label; ?></p>
			<?php endif; ?>
		<?php if ( Tasty_Recipes\Ratings::is_enabled() ) : ?>
			</a>
		<?php endif; ?>
	</div>
<?php endif; ?>

<?php if ( ! empty( $recipe_print_button ) && ! tasty_recipes_is_print() ) : ?>
	<?php echo $recipe_print_button; ?>
<?php endif; ?>

<?php if ( ! empty( $recipe_description ) ) : ?>
	<div class="tasty-recipes-description" data-tasty-recipes-customization="body-color.color">
		<?php echo $recipe_description; ?>
	</div>
<?php endif; ?>

<?php if ( ! empty( $recipe_details ) ) : ?>
	<div class="tasty-recipes-details" data-tasty-recipes-customization="body-color.color">
		<ul>
			<?php foreach ( $recipe_details as $detail ) : ?>
				<li class="<?php echo esc_attr( $detail['class'] ); ?>"><strong data-tasty-recipes-customization="detail-label-color.color" class="tasty-recipes-label"><?php echo $detail['label']; ?>:</strong> <?php echo $detail['value']; ?></li>
			<?php endforeach; ?>
		</ul>
	</div>
<?php endif; ?>

<?php if ( ! empty( $recipe_ingredients ) ) : ?>
	<div class="tasty-recipes-ingredients">
		<div class="tasty-recipes-ingredients-header">
			<div class="tasty-recipes-ingredients-clipboard-container">
				<h3 data-tasty-recipes-customization="h3-color.color h3-transform.text-transform"><?php esc_html_e( 'Ingredients', 'tasty-recipes' ); ?></h3>
				<?php if ( $copy_ingredients ) : ?>
					<?php echo $copy_ingredients; ?>
				<?php endif; ?>
			</div>
			<div class="tasty-recipes-units-scale-container">
				<?php if ( ! empty( $recipe_convertable ) ) : ?>
					<span class="tasty-recipes-convert-container">
						<span class="tasty-recipes-convert-label"><?php esc_html_e( 'Units', 'tasty-recipes' ); ?></span>
						<?php echo $recipe_convertable; ?>
					</span>
				<?php endif; ?>
				<?php if ( ! empty( $recipe_scalable ) ) : ?>
					<span class="tasty-recipes-scale-container">
						<span class="tasty-recipes-scale-label"><?php esc_html_e( 'Scale', 'tasty-recipes' ); ?></span>
						<?php echo $recipe_scalable; ?>
					</span>
				<?php endif; ?>
			</div>
		</div>
		<div class="tasty-recipes-ingredients-body" data-tasty-recipes-customization="body-color.color">
			<?php echo $recipe_ingredients; ?>
		</div>
	</div>
<?php endif; ?>

<?php if ( ! empty( $recipe_instructions ) ) : ?>
	<div class="tasty-recipe-instructions">
		<div class="tasty-recipes-instructions-header">
			<h3 data-tasty-recipes-customization="h3-color.color h3-transform.text-transform"><?php esc_html_e( 'Instructions', 'tasty-recipes' ); ?></h3>
			<?php if ( ! empty( $recipe_instructions_has_video ) ) : ?>
			<div class="tasty-recipes-video-toggle-container">
				<label for="tasty-recipes-video-toggle"><?php esc_html_e( 'Video', 'tasty-recipes' ); ?></label>
				<button type="button" role="switch" aria-checked="true" name="tasty-recipes-video-toggle">
					<span><?php esc_html_e( 'On', 'tasty-recipes' ); ?></span>
					<span><?php esc_html_e( 'Off', 'tasty-recipes' ); ?></span>
				</button>
			</div>
		<?php endif; ?>
		</div>
		<div class="tasty-recipes-instructions-body" data-tasty-recipes-customization="body-color.color">
			<?php echo $recipe_instructions; ?>
		</div>
	</div>
<?php endif; ?>

<?php if ( ! empty( $recipe_video_embed ) ) : ?>
	<div class="tasty-recipe-video-embed" id="<?php echo esc_attr( 'tasty-recipe-video-embed-' . $recipe->get_id() ); ?>">
		<?php echo $recipe_video_embed; ?>
	</div>
<?php endif; ?>

<?php
if ( ! empty( $recipe_equipment ) ) :
	?>
	<div class="tasty-recipes-equipment">
		<h3 data-tasty-recipes-customization="h3-color.color h3-transform.text-transform"><?php esc_html_e( 'Equipment', 'tasty-recipes' ); ?></h3>
		<?php echo $recipe_equipment; ?>
	</div>
<?php endif; ?>

<?php if ( ! empty( $recipe_notes ) ) : ?>
	<div class="tasty-recipes-notes">
		<h3 data-tasty-recipes-customization="h3-color.color h3-transform.text-transform"><?php esc_html_e( 'Notes', 'tasty-recipes' ); ?></h3>
		<div class="tasty-recipes-notes-body" data-tasty-recipes-customization="body-color.color">
			<?php echo $recipe_notes; ?>
		</div>
	</div>
<?php endif; ?>

<?php do_action( 'tasty_recipes_card_before_nutrition' ); ?>

<?php if ( ! empty( $recipe_nutrifox_embed ) ) : ?>
	<div class="tasty-recipes-nutrifox">
		<?php echo $recipe_nutrifox_embed; ?>
	</div>
<?php endif; ?>

<?php if ( ! empty( $recipe_nutrition ) ) : ?>
	<div class="tasty-recipes-nutrition">
		<h3 data-tasty-recipes-customization="h3-color.color h3-transform.text-transform"><?php esc_html_e( 'Nutrition', 'tasty-recipes' ); ?></h3>
		<ul>
			<?php foreach ( $recipe_nutrition as $nutrition ) : ?>
				<li><strong class="tasty-recipes-label" data-tasty-recipes-customization="body-color.color"><?php echo $nutrition['label']; ?>:</strong> <?php echo $nutrition['value']; ?></li>
			<?php endforeach; ?>
		</ul>
	</div>
<?php endif; ?>

<?php if ( ! empty( $recipe_keywords ) ) : ?>
	<div class="tasty-recipes-keywords" data-tasty-recipes-customization="detail-value-color.color">
		<p><em><strong data-tasty-recipes-customization="detail-label-color.color"><?php esc_html_e( 'Keywords', 'tasty-recipes' ); ?>:</strong> <?php echo $recipe_keywords; ?></em></p>
	</div>
<?php endif; ?>

<footer class="tasty-recipes-entry-footer">
	<h3 data-tasty-recipes-customization="footer-heading-color.color h3-transform.text-transform footer-heading.innerText"><?php echo esc_html( $footer_heading ); ?></h3>
	<div data-tasty-recipes-customization="footer-description-color.color footer-description.innerHTML"><?php echo wp_kses_post( $footer_description ); ?></div>
</footer>

<?php if ( tasty_recipes_is_print() && get_post() ) : ?>
	<div class="tasty-recipes-source-link">
		<p><strong class="tasty-recipes-label"><?php esc_html_e( 'Find it online', 'tasty-recipes' ); ?></strong>: <a href="<?php echo esc_url( get_permalink( get_the_ID() ) ); ?>"><?php echo esc_url( get_permalink( get_the_ID() ) ); ?></a></p>
	</div>
<?php endif; ?>

<?php echo $recipe_scripts; ?>
